How to require() autoUpdater?


#1

I’ve tried different combinations and the only one that doesnt throw an error is:

const autoUpdater = require(‘electron’).autoUpdater

Although when I try to use it I get an error that setFeedUrl doesn’t exist.

autoUpdater.setFeedUrl(…)

When I do console.log(autoUpdater) I get AutoUpdater {}.

Any idea what’s going on?


#2

I really need to solve this…

@leedohm do you have any suggestion?


#3

It should be setFeedURL not setFeedUrl.


#4

Thanks @enlight you were right.

I copied and pasted the code from another site assuming it was right and in the middle of the despair I completely missed that.

:disappointed: